<div class="modal">
    <button type="button" class="close" (click)="closeModal()">
        <span aria-hidden="true">&times;</span>
    </button>
    <elastic-page-header [height]="'100px'" background="url(assets/img/demo/headers/pattern-3.png)" [reverse]="true">
    </elastic-page-header>
    <div class="column">
        <form [formGroup]="formTrips" class="formModal">
            <div class="column1">
                <h1>Estado del viaje</h1>
                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Fecha inicio</mat-label>
                    <input formControlName="starDate" type="datetime-local" matInput>
                </mat-form-field>

                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Estación Inicio</mat-label>
                    <input type="text" matInput formControlName="startStationId" [matAutocomplete]="auto">
                </mat-form-field>
                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Usuario</mat-label>
                    <input type="text" matInput formControlName="userId" [matAutocomplete]="auto">
                    <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
                       
                    </mat-autocomplete>
                </mat-form-field>

                <mat-form-field class="example-full-width disableColor" appearance="fill">
                    <mat-label>Estado del viaje</mat-label>
                    <mat-select [(value)]="selected" formControlName="state">
                        <mat-option value="active">En curso</mat-option>
                        <mat-option value="finished">Finalizado</mat-option>
                    </mat-select>
                </mat-form-field>
                <div class="example-button-row">
                    <button mat-raised-button color="primary" (click)="closeModal()">Aceptar</button>
                </div>
            </div>
            <div class="column1">
                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Fecha fin</mat-label>
                    <input formControlName="endDate" type="datetime-local" matInput>
                </mat-form-field>
                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Estación fin</mat-label>
                    <input type="text" matInput formControlName="endStationId" [matAutocomplete]="auto">
                   
                </mat-form-field>
                <mat-form-field class="example-full-width" appearance="fill">
                    <mat-label>Bicicleta</mat-label>
                    <input formControlName="bikeId" type="text" matInput [matAutocomplete]="auto">
                    <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn">
                        <mat-option *ngFor="let tableStation of tableStations" [value]="tableStation">
                            {{tableStation.name}}
                        </mat-option>
                    </mat-autocomplete>
                </mat-form-field>
                <div class="example-button-row">
                    <button *ngIf="modalTrip.state == 'active'" mat-raised-button color="primary" (click)="tripConfirmation()">Finalizar viaje</button>
                    <button *ngIf="modalTrip.state == 'finished'"  mat-raised-button color="primary" disabled>Finalizar viaje</button>
                </div>
            </div>
        </form>
    </div>
</div>